* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;

    /* Variables */
    --primary: hsl(260, 14%, 96%);
    --secondary: #a4675b;
    --secondary-light: hsla(10, 29%, 80%);
    --tertiary: hsl(183, 100%, 12%);
    --tertiary-light: hsl(183, 100%, 22%);
    --font-color: hsl(183, 100%, 12%);
    --font-color-light: hsl(0, 0%, 30%);

    font-size: 16px;
}

html {
    scroll-behavior: smooth;
    background-color: var(--primary);
}

body {
    font-family: sans-serif, 'Helvetica Neue', system-ui,  Helvetica, Arial;
}

/* Basic Styling */
:is(h1,h2) {
    letter-spacing: 0.07rem;
}

:is(h1,h2,h3,h4,a,p,li) {
    color: var(--font-color);
}

h1 {
    font-size: clamp(2rem, 5vw, 3rem);
    margin-bottom: 30px;
}

h2 {
    font-size: clamp(1.2rem, 3vw, 1.5rem);
    margin-bottom: 1rem;
}

h3 {
    font-size: 1.1rem;
    margin: 25px 0 5px 0;
}

:is(p,a,li,strong) {
    font-size: 1.1rem;
}

a.btn {
    font-size: 1rem;
}

ul {
    list-style-type: none;
}

ul li {
    padding: 0.2rem 0;
}

a {
    text-decoration: none;
}

p {
    line-height: 1.6;
    margin: 10px 0;
    hyphens: auto;
}

svg {
    width: 15px;
    filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(7500%) hue-rotate(106deg) brightness(100%) contrast(100%);
    margin-right: 10px;
}

img {
    display: block;
    width: 100%;
}

/* Utility */
.container {
    max-width: 1200px;
    margin: auto;
}   

:is(section, header, footer) {
    padding: 2rem 1.2rem;
}

.text-link {
    display: inline-block;
    color: rgb(0, 131, 143);
    text-decoration: underline;
}

.ul-indent {
    list-style-type: disc;
    padding-left: 20px;
}

.btn {
    display: inline-block;
    cursor: pointer;
    padding: 15px 30px;
    border-radius: 4px;
    font-weight: bold;
}

.btn-secondary {
    background: var(--secondary);
    color: #fff;
}

.btn-tertiary {
    background: var(--tertiary);
    color: #fff;
}

.btn-secondary:hover {
    opacity: 0.8;
}

.divider {
    height: 30px;
}

.hr {
    border: 2px solid var(--secondary);
    border-radius: 20px;
    margin: 15px auto;

}

.hr-1 {
    width: 30%;
}

.hr-2 {
    width: 20%;
}


/* Request  */
#request {
    min-height: 550px;
}

#request {
    display: flex;
}

#request > .container {
    display: flex;
    flex-direction: row-reverse;
    justify-content: center;
    align-items: flex-start;
    gap: 4rem;
}

#request .request__text {
    flex: 0 1 500px;
}

#request .request__form {
    flex: 0 1 300px;
}

#emailForm {
    width: 400px;
    padding: 2rem;
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.12);
}

#emailForm {
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 1.2rem;
}

#emailForm > * {
    display: flex;
    flex-direction: column;
    gap: 0.4rem;
}

#emailForm input {
    padding: 5px;
    border: 1px solid #6b6a6a;
    border-radius: 4px;
    opacity: 0.8
}

#emailForm label {
    color: var(--font-color-light);
    font-weight: 700;
}

#emailForm button {
    border: none;
    margin-top: 0.8rem;
}